<p>
  <mat-toolbar color="primary">
    <img src="assets/utally_logo_simple.png" alt="Utally Logo" />
    <span>{{toolBarTitle}}</span>
    <span class="toolbar-spacer"></span>
    <button (click)="logout()" mat-button>
      <fa-icon [icon]="faArrowRightFromBracket"></fa-icon>
    </button>
  </mat-toolbar>
</p>

<app-select-event
  *ngIf="!isEventSelected()"
  [events]="events"
  (eventChange)="onEventSelected($event)"
  (onSubmit)="onSelectEventSubmit()"
  [showProgressIndicator]="showEventSelectionProgressIndicator"
></app-select-event>
<app-bill-overview
  *ngIf="isEventSelected()"
  [event]="selectedEvent"
  [teams]="teams"
  [players]="players"
  [timeslots]="timeslots"
  [locations]="locations"
  [tallies]="tallies"
  [products]="products"
  [showLoadDataProgressIndicator]="showLoadDataProgressIndicator"
  [settings]="settings"
  [payment]="payment"
  (onRevertPayment)="onRevertPayment($event)"
  (onTallyCancelled)="onTallyCancelled($event)"
  (onChangeComment)="onChangeComment($event)"
  (onPay)="onPay($event)"
  (onPostTally)="onPostTally($event)"
></app-bill-overview>
<app-footer></app-footer>
